# H245_RedundancyEncoding Class Reference

`#include <h245.h>`

Inheritance diagram for H245_RedundancyEncoding:

List of all members.

## Public Types

enum | OptionalFields { e_secondaryEncoding, e_rtpRedundancyEncoding }

## Public Member Functions

| H245_RedundancyEncoding (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_RedundancyEncodingMethod | m_redundancyEncodingMethod
H245_DataType | m_secondaryEncoding
H245_RedundancyEncoding_rtpRedundancyEncoding | m_rtpRedundancyEncoding

## Member Enumeration Documentation

enum H245_RedundancyEncoding::OptionalFields

Enumerator:

  e_secondaryEncoding |
  e_rtpRedundancyEncoding |

## Constructor & Destructor Documentation

H245_RedundancyEncoding::H245_RedundancyEncoding | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_RedundancyEncoding::GetDataLength | ( |  | ) | const

PBoolean H245_RedundancyEncoding::Decode | ( | PASN_Stream & | strm | ) |

void H245_RedundancyEncoding::Encode | ( | PASN_Stream & | strm | ) | const

void H245_RedundancyEncoding::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_RedundancyEncoding::Compare | ( | const PObject & | obj | ) | const

PObject* H245_RedundancyEncoding::Clone | ( |  | ) | const

## Member Data Documentation

H245_RedundancyEncodingMethod H245_RedundancyEncoding::m_redundancyEncodingMethod

H245_DataType H245_RedundancyEncoding::m_secondaryEncoding

H245_RedundancyEncoding_rtpRedundancyEncoding H245_RedundancyEncoding::m_rtpRedundancyEncoding

The documentation for this class was generated from the following file:

- h245.h